{{- if .Values.notifyPush.enabled -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ printf "%s-notify-push" (include "nextcloud.fullname" .) }}
  namespace: {{ .Release.Namespace }}
  labels:
    app.kubernetes.io/name: {{ printf "%s-notify-push" (include "nextcloud.fullname" .) }}
    {{- include "nextcloud.labels" . | nindent 4 }}
    app.kubernetes.io/component: HPFB
spec:
  selector:
    app.kubernetes.io/name: {{ printf "%s-notify-push" (include "nextcloud.fullname" .) }}
    {{- include "nextcloud.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: HPFB
  type: ClusterIP
  ports:
    - name: push
      port: {{ .Values.notifyPush.service.port }}
      targetPort: push
      protocol: TCP
    - name: metrics
      port: {{ .Values.notifyPush.metrics.port }}
      targetPort: metrics
      protocol: TCP
{{- end }}
